Google gadget 0.10.4

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
op15l
Linux 3.x
Linux 3.x
Messaggi: 604
Iscritto il: mer gen 26, 2005 0:00
Kernel: 2.6.27
Desktop: kde 4.1.3
Località: Cattolica

Google gadget 0.10.4

Messaggioda op15l » mer dic 17, 2008 19:57

qualcuno ha provato di compilare google gadget 0.10.4 o 0.10.3?

mi da errore su

Codice: Seleziona tutto

Build options:
  Version                       "0.10.4"
  Install prefix                /usr/local
  Install included libltdl      no       
  Build shared libs             yes       
  Build static libs             yes       
  Enable debug                  no       
  Host type                     linux     
  OEM brand                               

 Libraries:
  GTK SVG Support               yes
  Build libggadget-gtk          yes
  Build libggadget-qt           yes
  Build libggadget-dbus         yes
  Build libggadget-npapi        yes

 Extensions:
  Build dbus-script-class       yes
  Build gtk-edit-element        yes
  Build gtkmoz-browser-element  no
  Build qtwebkit-browser        yes
  Build gst-audio-framework     yes
  Build gst-video-element       yes
  Build gtk-system-framework    yes
  Build gtk-flash-element       yes
  Build qt-system-framework     yes
  Build linux-system-framework  yes
  Build smjs-script-runtime     no
  Build qt-script-runtime       yes
  Build curl-xml-http-request   yes
  Build qt-xml-http-request     yes
  Build libxml2-xml-parser      yes

 Hosts:
  Build gtk host                no
  Build qt host                 yes


mi da errore praticamente su spider-monkey.

ho provato anche con --with-mozjs-libname a dargli il nome delle librerie di spider-Monkey, ma nulla...
naturalmente anche con lo slackBuild nulla

Avatar utente
neongen
Packager
Packager
Messaggi: 827
Iscritto il: ven mag 25, 2007 12:37
Nome Cognome: Enrico
Slackware: 14.0_64
Kernel: 3.4.4
Desktop: KDE 4.5.5
Distribuzione: Maemo 5
Contatta:

Re: Google gadget 0.10.4

Messaggioda neongen » mer dic 17, 2008 20:57

avevo già provato, ma non va. la cosa strana è che spider-monkey non è un requisito dichiarato per il qt host (infatti configure da build qt host = yes), ma di fatto senza non funziona

Avatar utente
op15l
Linux 3.x
Linux 3.x
Messaggi: 604
Iscritto il: mer gen 26, 2005 0:00
Kernel: 2.6.27
Desktop: kde 4.1.3
Località: Cattolica

Re: Google gadget 0.10.4

Messaggioda op15l » mer dic 17, 2008 22:04

neongen ha scritto:avevo già provato, ma non va. la cosa strana è che spider-monkey non è un requisito dichiarato per il qt host (infatti configure da build qt host = yes), ma di fatto senza non funziona


gia'.. c'ho provato in tutti i modi anche io....

vabbe' mi accontento che con slackware 12.2 ora ho potuto compilare gimp 2.6

Avatar utente
neongen
Packager
Packager
Messaggi: 827
Iscritto il: ven mag 25, 2007 12:37
Nome Cognome: Enrico
Slackware: 14.0_64
Kernel: 3.4.4
Desktop: KDE 4.5.5
Distribuzione: Maemo 5
Contatta:

Re: Google gadget 0.10.4

Messaggioda neongen » mer dic 17, 2008 23:58

ma guarda che per la 12.2 il pacchetto 0.10.4 c'è già compilato nel repo. io quei problemi lì, li avevo riscontrati per la versione 0.10.3 su slack12.1 (ancora niente upgrade). prova questo pacchetto e se non funziona segnalalo.

Avatar utente
op15l
Linux 3.x
Linux 3.x
Messaggi: 604
Iscritto il: mer gen 26, 2005 0:00
Kernel: 2.6.27
Desktop: kde 4.1.3
Località: Cattolica

Re: Google gadget 0.10.4

Messaggioda op15l » gio dic 18, 2008 18:43

hai ragione!
grazie!

Avatar utente
op15l
Linux 3.x
Linux 3.x
Messaggi: 604
Iscritto il: mer gen 26, 2005 0:00
Kernel: 2.6.27
Desktop: kde 4.1.3
Località: Cattolica

Re: Google gadget 0.10.4

Messaggioda op15l » gio dic 18, 2008 18:55

mi da gli stessi probelmi che compilandolo failed to load js-script-runtime

sapete dove posso prendere questa dipendenza? c'e' in slackware?